Subject: Re: linux-next: build warning after merge of the pstore tree

From: Kees Cook <[email-masked]>
Date: Tue, 15 Jun 2021 08:36:56 -0700

On Tue, Jun 15, 2021 at 08:15:16PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pstore tree, today's linux-next build (htmldocs)
> produced this warning:
> 
> fs/pstore/blk.c:1: warning: no structured comments found
> 
> Introduced by commit
> 
>   38c18fec13fb ("pstore/blk: Use the normal block device I/O path")
> 
> The last kernedoc comment in this file is removed by this commit.

I was briefly quite confused by this. I see now it's the
:internal: not the :export: use of blk.c. If it's possible to
improve this error report email with more details in the future,
that would be nice. For example, "blk.c:1" isn't helpful, but
"Documentation/admin-guide/pstore-blk.rst:230" would be. :)

I'll get this fixed up; thanks!

-Kees

-- 
Kees Cook